# Type Alias UpdateAppData

UpdateAppData: {
path: string;
requestBody: {
deployment_message?: string;
path?: string;
policy?: Policy;
summary?: string;
value?: unknown;
};
workspace: string;
}

#### Type declaration

- ##### path: string

- ##### requestBody: {
  deployment_message?: string;
  path?: string;
  policy?: Policy;
  summary?: string;
  value?: unknown;
  }

  update app

  - ##### `Optional` deployment_message?: string

  - ##### `Optional` path?: string

  - ##### `Optional` policy?: Policy

  - ##### `Optional` summary?: string

  - ##### `Optional` value?: unknown

- ##### workspace: string

- Defined in src/types.gen.ts:2769